# -*- coding: utf-8 -*-
"""
Created on Sun Jun 19 14:33:50 2016
Generate plots of external rfi from spectral overview files OVS

@author: STEG
"""

import numpy as np
from matplotlib import pyplot as plt

path = 'DISEQ-2023-05-18.txt'

f = open(path, 'r')
sky = np.genfromtxt(f, delimiter=',',skip_header=7)
f.close()

time = sky[:,0]
azi  = sky[:,1]
ele  = sky[:,2]


plt.figure(figsize=(10,6))# present raw data from spectral verview
plt.plot(azi,ele,'-',label = 'Sun') 
plt.xlabel("Azimuth [°]")
plt.ylabel("Elevation [°]")
plt.title('Positioning diagram Sum '+path)
#plt.xlim([800,1300])
plt.legend(loc="upper left")
plt.savefig('coords.png')

plt.figure(figsize=(10,6))# present raw data from spectral verview
plt.plot(azi,'-',label = 'Azi') 
plt.plot(ele,'-',label = 'Ele') 
plt.xlabel("Sample [1 minute]")
plt.ylabel("[°]")
plt.title('Azimuth/Elevation '+path)
#plt.xlim([800,1300])
plt.legend(loc="upper left")
plt.savefig('AzEl.png')
